summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2018-08-03 18:58:18 +0200
committerManuel Rüger <mrueg@gentoo.org>2018-08-03 19:01:27 +0200
commit3e9b20264f92e087260e3ad8e9658031b513ba57 (patch)
tree712b74833ad70292de0a3374599349e2cfd9f3b3 /net-misc/cni-plugins
parentsci-geosciences/qgis: version bump 3.2.1 (diff)
downloadgentoo-3e9b20264f92e087260e3ad8e9658031b513ba57.tar.gz
gentoo-3e9b20264f92e087260e3ad8e9658031b513ba57.tar.bz2
gentoo-3e9b20264f92e087260e3ad8e9658031b513ba57.zip
net-misc/cni-plugins: Version bump to 0.7.2
Package-Manager: Portage-2.3.43, Repoman-2.3.10
Diffstat (limited to 'net-misc/cni-plugins')
-rw-r--r--net-misc/cni-plugins/Manifest1
-rw-r--r--net-misc/cni-plugins/cni-plugins-0.7.2.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/net-misc/cni-plugins/Manifest b/net-misc/cni-plugins/Manifest
index 175a38da68c..c9298c14243 100644
--- a/net-misc/cni-plugins/Manifest
+++ b/net-misc/cni-plugins/Manifest
@@ -1 +1,2 @@
DIST cni-plugins-0.7.1.tar.gz 862546 BLAKE2B 9d13c616396017e3cb54dfdd5bde2c06d2ad572e55009b883d82757c173119694a40157f28fce5818bb8bd33325f2edb0ec197ff77aa2ab08615bfc55ce2bbe8 SHA512 23d3b35c22fdc85d087922fb59c63622a9283ff11d34d1a1043c323f9b07b3837418f333d2f2ab9c6a22514351d71aeeab6a57234b14f53ba29847cffa382ea0
+DIST cni-plugins-0.7.2.tar.gz 862552 BLAKE2B 6dfa8842fb86a50610d1d4b512a0d6199ac8c4981dfe609b0be544e1a37b696f15dec2431b6030a4238926685a5f0153840345093e34b1efe218c58a410dd9d5 SHA512 d73a0ffb8e5977781a3f9fa93c1615633f74dfbcfeb78eb4c877992ed30d62b782714620667f14b133348d3c253df3e4219dc7ed5f353c7ec6df6c11c25905dd
diff --git a/net-misc/cni-plugins/cni-plugins-0.7.2.ebuild b/net-misc/cni-plugins/cni-plugins-0.7.2.ebuild
new file mode 100644
index 00000000000..b07a467bf91
--- /dev/null
+++ b/net-misc/cni-plugins/cni-plugins-0.7.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit golang-vcs-snapshot
+
+KEYWORDS="~amd64"
+DESCRIPTION="Standard networking plugins for container networking"
+EGO_PN="github.com/containernetworking/plugins"
+HOMEPAGE="https://github.com/containernetworking/plugins"
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="hardened"
+
+src_compile() {
+ pushd src || die
+ local i
+ for i in plugins/{meta/{flannel,portmap,tuning},main/{bridge,host-device,ipvlan,loopback,macvlan,ptp,vlan},ipam/{dhcp,host-local},sample}; do
+ CGO_LDFLAGS="$(usex hardened '-fno-PIC ' '')" GOPATH="${WORKDIR}/${P}" go install -v "${EGO_PN}/${i}"
+ done
+ popd || die
+}
+
+src_install() {
+ exeinto /opt/cni/bin
+ doexe bin/*
+ pushd src/${EGO_PN} || die
+ dodoc README.md
+ local i
+ for i in plugins/{meta/{flannel,portmap,tuning},main/{bridge,host-device,ipvlan,loopback,macvlan,ptp,vlan},ipam/{dhcp,host-local},sample}; do
+ newdoc README.md ${i##*/}.README.md
+ done
+ popd || die
+}